Bug 161243

Summary: [Win] Enable 'warning as error' compiler setting.
Product: WebKit Reporter: Per Arne Vollan <pvollan>
Component: Tools / TestsAssignee: Per Arne Vollan <pvollan>
Status: RESOLVED FIXED    
Severity: Normal CC: achristensen, bfulgham, commit-queue, lforschler, ossy
Priority: P2    
Version: WebKit Nightly Build   
Hardware: Unspecified   
OS: Unspecified   
Attachments:
Description Flags
Patch
none
Patch none

Description Per Arne Vollan 2016-08-26 07:56:05 PDT
This setting should be enabled on Windows as well.
Comment 1 Per Arne Vollan 2016-08-26 08:07:25 PDT
Created attachment 287105 [details]
Patch
Comment 2 Brent Fulgham 2016-08-26 08:49:36 PDT
Comment on attachment 287105 [details]
Patch

I'm so excited to see this getting close! Are our build bots warning-less at this point? I don't think we should land this until the build bots do not have any warnings.
Comment 3 Per Arne Vollan 2016-08-26 10:19:25 PDT
(In reply to comment #2)
> Comment on attachment 287105 [details]
> Patch
> 
> I'm so excited to see this getting close! Are our build bots warning-less at
> this point? I don't think we should land this until the build bots do not
> have any warnings.

Me too :) I think I'll upload this patch once more after the other patches are landed (to check that it builds). Thanks for reviewing!
Comment 4 Per Arne Vollan 2016-08-26 11:05:47 PDT
Created attachment 287123 [details]
Patch
Comment 5 Per Arne Vollan 2016-08-26 12:03:48 PDT
Comment on attachment 287123 [details]
Patch

The patch also builds with VS2015 Update 3.
Comment 6 Alex Christensen 2016-08-26 13:14:10 PDT
Comment on attachment 287123 [details]
Patch

This adds /wd4206 (nonstandard extension used : translation unit is empty) and /wd4722 ('function': destructor never returns, potential memory leak).  Why do we need to add 4722?
Comment 7 WebKit Commit Bot 2016-08-27 17:16:10 PDT
Comment on attachment 287123 [details]
Patch

Clearing flags on attachment: 287123

Committed r205090: <http://trac.webkit.org/changeset/205090>
Comment 8 WebKit Commit Bot 2016-08-27 17:16:19 PDT
All reviewed patches have been landed.  Closing bug.
Comment 9 Csaba Osztrogon√°c 2016-08-28 10:32:41 PDT
(In reply to comment #7)
> Comment on attachment 287123 [details]
> Patch
> 
> Clearing flags on attachment: 287123
> 
> Committed r205090: <http://trac.webkit.org/changeset/205090>

It broke the ApplecWindows and WinCairo build, see build.webkit.org for details.
Comment 10 Per Arne Vollan 2016-08-29 05:42:31 PDT
(In reply to comment #6)
> Comment on attachment 287123 [details]
> Patch
> 
> This adds /wd4206 (nonstandard extension used : translation unit is empty)
> and /wd4722 ('function': destructor never returns, potential memory leak). 
> Why do we need to add 4722?

This was added because of the following code:

JITWorklist::~JITWorklist()
{
    UNREACHABLE_FOR_PLATFORM();
}